## repsnapper 0+git20120902.349ce298

=== debian/changelog ===
repsnapper (0+git20120902.349ce298-1) unstable; urgency=low

  * Initial release (Closes: #649392)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 08 Sep 2012 21:28:26 +0800
