=== debian/control ===
Source: repsnapper
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               docbook-xsl,
               freeglut3-dev,
               intltool,
               libcairomm-1.0-dev,
               libgtkglext1-dev,
               libgtkmm-2.4-dev,
               libvmmlib-dev,
               libxml++2.6-dev,
               libzip-dev,
               xsltproc
Standards-Version: 3.9.3
Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction

Package: repsnapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: STL to GCode Converter and print software for RepRap machines
 A RepRap is a 3D printer: a machine which can print 3-dimensional plastic
 objects from a computer model. Repsnapper can convert STL, which can be
 created with most 3D drawing programs like Blender, into GCode, which the
 RepRap can understand. It can also be used to send the result to the RepRap.
