## repsnapper 0+git20130603.7c690471

=== debian/changelog ===
repsnapper (0+git20130603.7c690471-1) unstable; urgency=low

  * New upstream release
  * Drop 02_add_desktop_main_category.patch: in upstream already.
  * Add Build-Depends to libgtkglextmm-x11-1.2-dev, libpangox-1.0-dev
    (Closes: #709554, #713244)
  * Bump Standards-Version to 3.9.4: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 24 Jun 2013 01:37:09 +0800
