=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
                intltool,
                libcairomm-1.0-dev,
                libgtkglext1-dev,
+               libgtkglextmm-x11-1.2-dev,
                libgtkmm-2.4-dev,
+               libpangox-1.0-dev,
                libvmmlib-dev,
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper
