## repsnapper 2.3.2a4+git20140317.e132147d

=== debian/changelog ===
repsnapper (2.3.2a4+git20140317.e132147d-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS on libzip-dev (Closes: #741757)
  * Bump Standards-Version to 3.9.5: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 18 Mar 2014 15:04:33 +0800
