## repsnapper 2.3.2a5

=== debian/changelog ===
repsnapper (2.3.2a5-1build4) wily; urgency=medium

  * No-change rebuild for libzip soname change

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 01:33:09 +0000

repsnapper (2.3.2a5-1build3) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:28:24 +0000

repsnapper (2.3.2a5-1build2) wily; urgency=medium

  * No-change rebuild against libgtkglextmm-x11-1.2-0v5.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 30 Aug 2015 03:19:09 -0400

repsnapper (2.3.2a5-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:52:19 +0000

repsnapper (2.3.2a5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.6: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Oct 2014 20:57:50 +0800
