=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: repsnapper
 Section: utils
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
@@ -17,7 +18,7 @@
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper
