## repsnapper 2.4a0

=== debian/changelog ===
repsnapper (2.4a0-2) unstable; urgency=low

  * Include patches from the upstream git repo (Closes: #814331)
    - 0011-replace-abs-with-std-abs-for-gcc6-compatibility.patch
      (Closes: #831081)
  * Include workaround 0105-include-asm-generic.patch (Closes: #810907)
  * Bump Standards-Version to 3.9.8: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 04 Jan 2017 19:53:22 +0800

repsnapper (2.4a0-1) unstable; urgency=low

  * New upstream release
  * Remove debian/repsnapper.menu: Already provided .desktop file.
  * debian/patches/0003-make-compile-with-gcc5.2.patch:
    - Cherry-pick upstream commit b7bf048e7a1b621274841ef40e017adabae5b8e3
    - Fixes FTBFS for gcc-5.2 (Closes: #805232)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 27 Nov 2015 00:14:05 +0800
