## repsnapper 2.5a5

=== src/Makefile ===
# Delegate everything to the toplevel makefile
# this is only here so 'make' works in src/
all:
	@$(MAKE) -C .. $@

# Catch all rule
%:
	@$(MAKE) -C .. $@
