=== debian/changelog ===
repsnapper (2.5a5-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 28 Jul 2017 11:14:43 +0800

repsnapper (2.5a4-1) unstable; urgency=low

  * New upstream release
    - Fix FTBFS caused by comparing Cairo::RefPtr to int (Closes: #867503)
  * Bump Standards-Version to 4.0.0: nothing needs to be changed.
  * Remove patches that has been applied in the upstream.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 07 Jul 2017 13:20:40 +0800
