=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper
