=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+git\d*\..*// \
https://github.com/timschmidt/repsnapper/tags .*[^n]/(?:v||release-|repsnapper[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
